Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.pastry.standard
Class StandardJoinProtocol.SJPDeserializer

    java.lang.Object
      rice.pastry.messaging.JavaSerializedDeserializer
          rice.pastry.messaging.PJavaSerializedDeserializer
              rice.pastry.standard.StandardJoinProtocol.SJPDeserializer

All Implemented Interfaces:
  MessageDeserializer

Direct Known Subclasses:
  ConsistentJoinProtocol.CJPDeserializer

Enclosing class:
  StandardJoinProtocol

    public static class StandardJoinProtocol.SJPDeserializer

extends PJavaSerializedDeserializer

Field Summary

Fields inherited from class rice.pastry.messaging.JavaSerializedDeserializer
`pn`

Constructor Summary
`StandardJoinProtocol.SJPDeserializer(PastryNode pn)`

Method Summary
`Message` | `deserialize(InputBuffer buf, short type, int priority, NodeHandle sender)`

Methods inherited from class rice.pastry.messaging.PJavaSerializedDeserializer
`deserialize`

Methods inherited from class rice.pastry.messaging.JavaSerializedDeserializer
`setAlwaysUseJavaSerialization`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StandardJoinProtocol.SJPDeserializer

    public StandardJoinProtocol.SJPDeserializer(PastryNode pn)

Method Detail

### deserialize

    public Message deserialize(InputBuffer buf,
                               short type,
                               int priority,
                               NodeHandle sender)
                        throws java.io.IOException

  Specified by:
    `deserialize` in class `PJavaSerializedDeserializer`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.